.PHONY: all clean notes note note-tableau note-copie note-fusion note-chaine note-bits note-pointeur

SRCS = tableau.c copie.c fusion.c chaine.c bits.c pointeur.c
TEST = $(SRCS:.c=-test)
TEST_SRCS = $(SRCS:.c=-test.c)
TEST2_SRCS = $(SRCS:.c=-test2.c)

all: notes

tableau-test2.c: tableau.c tableau-test.c
	@cat tableau.c tableau-test.c > tableau-test2.c

copie-test2.c: copie.c copie-test.c
	@cat copie.c copie-test.c > copie-test2.c

fusion-test2.c: fusion.c fusion-test.c
	@cat fusion.c fusion-test.c > fusion-test2.c

chaine-test2.c: chaine.c chaine-test.c
	@cat chaine.c chaine-test.c > chaine-test2.c

bits-test2.c: bits.c bits-test.c
	@cat bits.c bits-test.c > bits-test2.c

pointeur-test2.c: pointeur.c pointeur-test.c
	@cat pointeur.c pointeur-test.c > pointeur-test2.c

tableau-test: tableau-test2.c
	@gcc -o tableau-test tableau-test2.c 2>&1 | sed 's/^tableau-test2.c:/tableau.c:/'

copie-test: copie-test2.c
	@gcc -o copie-test copie-test2.c 2>&1 | sed 's/^copie-test2.c:/copie.c:/'

fusion-test: fusion-test2.c
	@gcc -o fusion-test fusion-test2.c 2>&1 | sed 's/^fusion-test2.c:/fusion.c:/'

chaine-test: chaine-test2.c
	@gcc -o chaine-test chaine-test2.c 2>&1 | sed 's/^chaine-test2.c:/chaine.c:/'

bits-test: bits-test2.c
	@gcc -o bits-test bits-test2.c 2>&1 | sed 's/^bits-test2.c:/bits.c:/'

pointeur-test: pointeur-test2.c
	@gcc -o pointeur-test pointeur-test2.c 2>&1 | sed 's/^pointeur-test2.c:/pointeur.c:/'

note-tableau: tableau-test
	@echo -n "     tableau : "
	@./tableau-test 2> /dev/null || echo "0"

note-copie: copie-test
	@echo -n "       copie : "
	@./copie-test 2> /dev/null || echo "0"

note-fusion: fusion-test
	@echo -n "      fusion : "
	@./fusion-test 2> /dev/null || echo "0"

note-chaine: chaine-test
	@echo -n "      chaine : "
	@./chaine-test 2> /dev/null || echo "0"

note-bits: bits-test
	@echo -n "        bits : "
	@./bits-test 2> /dev/null || echo "0"

note-pointeur: pointeur-test
	@echo -n "    pointeur : "
	@./pointeur-test 2> /dev/null || echo "0"

note:
	@echo "notes :"

notes: clean tableau-test copie-test fusion-test chaine-test bits-test pointeur-test note note-tableau note-copie note-fusion note-chaine note-bits note-pointeur

clean:
	@rm -f $(TEST) $(TEST2_SRCS)

### vim:set ft=make: ###
